## fcitx-hangul 0.1.1

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 2.6)

project(fcitx-hangul)

set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})

FIND_PACKAGE(Gettext REQUIRED)
FIND_PACKAGE(Fcitx 4.2.3 REQUIRED)
find_package(Hangul REQUIRED)

# uninstall target
configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/cmake/cmake_uninstall.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
    IMMEDIATE @ONLY)

add_custom_target(uninstall
    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)

set(CMAKE_C_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_C_FLAGS}")
set(CMAKE_CXX_FLAGS "-Wall -Wextra -Wno-sign-compare -Wno-unused-parameter -fvisibility=hidden ${CMAKE_CXX_FLAGS}")
set(CMAKE_SHARED_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_SHARED_LINKER_FLAGS}")
set(CMAKE_MODULE_LINKER_FLAGS "-Wl,--as-needed ${CMAKE_MODULE_LINKER_FLAGS}")
add_definitions("-D_GNU_SOURCE")

if(NOT DEFINED LIB_INSTALL_DIR)
    set(LIB_INSTALL_DIR ${CMAKE_INSTALL_PREFIX}/lib)
endif()

configure_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/config.h.in"
    "${CMAKE_CURRENT_BINARY_DIR}/config.h"
    )

set(libdir ${LIB_INSTALL_DIR})

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(po)

add_subdirectory(list)

=== data/CMakeLists.txt ===
fcitx_add_addon_conf_file(fcitx-hangul.conf)
fcitx_add_configdesc_file(fcitx-hangul.desc)
fcitx_add_inputmethod_conf_file(hangul.conf)

install(FILES symbol.txt DESTINATION ${FCITX4_PREFIX}/share/fcitx/hangul/)
install(FILES hangul.png DESTINATION ${FCITX4_PREFIX}/share/fcitx/skin/default/)
install(FILES hangul.png RENAME fcitx-hangul.png DESTINATION share/icons/hicolor/64x64/apps/)
install(FILES hanja_active.png RENAME fcitx-hanja-active.png DESTINATION share/icons/hicolor/64x64/status/)
install(FILES hanja_inactive.png RENAME fcitx-hanja-inactive.png DESTINATION share/icons/hicolor/64x64/status/)

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE ${CMAKE_CURRENT_SOURCE_DIR} *.po)
file(RELATIVE_PATH REL_SOURCE_ROOT ${PROJECT_BINARY_DIR} ${PROJECT_SOURCE_DIR})
if ("${REL_SOURCE_ROOT}" STREQUAL "")
    set(REL_SOURCE_ROOT ".")
endif("${REL_SOURCE_ROOT}" STREQUAL "")

set(POT_FILE fcitx-hangul.pot)

configure_file(POTFILES.in.in ${CMAKE_CURRENT_BINARY_DIR}/POTFILES.in)

extract_fcitx_addon_conf_postring()

add_custom_command(OUTPUT ${CMAKE_CURRENT_BINARY_DIR}/desc.po
                   COMMAND ${CMAKE_CURRENT_SOURCE_DIR}/getdescpo ${PROJECT_SOURCE_DIR} ${CMAKE_CURRENT_BINARY_DIR}
                   DEPENDS getdescpo)

add_custom_target(
    pot
    COMMAND INTLTOOL_EXTRACT=${INTLTOOL_EXTRACT} srcdir=${CMAKE_CURRENT_BINARY_DIR} ${INTLTOOL_UPDATE} --gettext-package fcitx-hangul --pot
    WORKING_DIRECTORY ${CMAKE_CURRENT_SOURCE_DIR}
    DEPENDS ${CMAKE_CURRENT_BINARY_DIR}/conf.po ${CMAKE_CURRENT_BINARY_DIR}/desc.po
    )

# Update .po files and compile them to binary .gmo files
gettext_create_translations(${POT_FILE} ALL ${PO_FILES})

=== src/CMakeLists.txt ===

include_directories (${HANGUL_INCLUDE_DIR}
                     ${FCITX_CONFIG_INCLUDE_DIRS}
                     ${FCITX_INCLUDE_DIRS}
                     ${PROJECT_BINARY_DIR})

set( fcitx_hangul_sources
    ustring.c
    eim.c
    config.c
    keyboard.c
    )

add_definitions( -DLOCALEDIR=\"${CMAKE_INSTALL_PREFIX}/share/locale\" )

fcitx_add_addon(fcitx-hangul ${fcitx_hangul_sources} )
target_link_libraries (fcitx-hangul ${HANGUL_LIBRARIES})
target_link_libraries (fcitx-hangul ${FCITX4_FCITX_CONFIG_LIBRARIES})
target_link_libraries (fcitx-hangul ${FCITX4_FCITX_LIBRARIES})

=== debian/changelog ===
fcitx-hangul (0.1.1-1) unstable; urgency=low

  * New upstream release.
  * Switch to team maintaince and add DMUA.

 -- YunQiang Su <wzssyqa@gmail.com>  Tue, 15 May 2012 16:09:04 +0800

fcitx-hangul (0.1.0-1) unstable; urgency=low

  * Initial release (Closes: #658150)

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 11 Apr 2012 01:18:45 +0800

=== debian/control ===
Source: fcitx-hangul
Section: utils
Priority: optional
Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
DM-Upload-Allowed: yes
Build-Depends: debhelper (>= 8.0.0), cmake, pkg-config, intltool,
               fcitx-libs-dev (>= 4.2.2), libhangul-dev (>= 0.0.12)
Standards-Version: 3.9.3
Homepage: http://code.google.com/p/fcitx
Vcs-Git: git://git.debian.org/pkg-ime/fcitx-hangul.git
Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-hangul.git

Package: fcitx-hangul
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-modules
Recommends: fcitx
Description: Free Chinese Input Toy of X - hangul module
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It is an ideal choice for the vast majority. Many of its features make
 users of Unix-like platforms have a fully modern input experience for
 the first time. It has also greatly lower the threshold for developers,
 making the development of extended funtions much easier than ever before.
 .
 This package provides the hangul module, which uses libhangul, 
 the Hangul keyboard input library.

## fcitx-hangul 0.3.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -5,7 +5,7 @@
 set(CMAKE_MODULE_PATH "${CMAKE_CURRENT_SOURCE_DIR}/cmake" ${CMAKE_MODULE_PATH})
 
 FIND_PACKAGE(Gettext REQUIRED)
-FIND_PACKAGE(Fcitx 4.2.3 REQUIRED)
+FIND_PACKAGE(Fcitx 4.2.7 REQUIRED)
 find_package(Hangul REQUIRED)
 
 # uninstall target
@@ -34,8 +34,7 @@
 
 set(libdir ${LIB_INSTALL_DIR})
 
+add_subdirectory(po)
 add_subdirectory(src)
 add_subdirectory(data)
-add_subdirectory(po)
-
 add_subdirectory(list)

=== data/CMakeLists.txt ===
install(FILES symbol.txt DESTINATION ${FCITX4_PREFIX}/share/fcitx/hangul/)
install(FILES hangul.png DESTINATION ${FCITX4_PREFIX}/share/fcitx/imicon/)
install(FILES hangul.png RENAME fcitx-hangul.png DESTINATION share/icons/hicolor/64x64/apps/)
install(FILES hanja_active.png RENAME fcitx-hanja-active.png DESTINATION share/icons/hicolor/48x48/status/)
install(FILES hanja_inactive.png RENAME fcitx-hanja-inactive.png DESTINATION share/icons/hicolor/48x48/status/)

=== list/CMakeLists.txt ===

include_directories (${HANGUL_INCLUDE_DIR})

add_executable(gen_list gen_list.c)
target_link_libraries (gen_list ${HANGUL_LIBRARIES})

=== po/CMakeLists.txt ===
set(PO_LANGS de zh_CN zh_TW ja ko)
foreach(lang ${PO_LANGS})
   fcitx_translate_add_po_file("${lang}" "${lang}.po")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-hangul fcitx-hangul.pot)

=== debian/changelog ===
fcitx-hangul (0.3.0-3) unstable; urgency=medium

  * Upload to unstable

 -- Aron Xu <happyaron.xu@gmail.com>  Mon, 14 Dec 2015 20:30:11 +0800

fcitx-hangul (0.3.0-2) experimental; urgency=medium

  * Mark as M-A: same
  * Update copyright info
  * std-ver: 3.9.4 -> 3.9.6, no change.

 -- Aron Xu <aron@debian.org>  Mon, 09 Feb 2015 13:39:11 +0800

fcitx-hangul (0.3.0-1) unstable; urgency=low

  * New upstream release.

 -- Aron Xu <aron@debian.org>  Sun, 04 Aug 2013 00:11:14 +0800

fcitx-hangul (0.2.1-1) unstable; urgency=low

  * Imported Upstream version 0.2.1
     remove fix_48_install_to_64.patch: merged to upstream.

 -- YunQiang Su <wzssyqa@gmail.com>  Fri, 15 Feb 2013 13:56:17 +0800

fcitx-hangul (0.2.0-1) experimental; urgency=low

  * New upstream release.
  * compat: 8 -> 9.

 -- Aron Xu <aron@debian.org>  Tue, 08 Jan 2013 09:47:15 +0800

fcitx-hangul (0.1.2-1) experimental; urgency=low

  * New upstream release.

 -- YunQiang Su <wzssyqa@gmail.com>  Wed, 26 Sep 2012 21:01:09 +0800

=== debian/control ===
--- 
+++ 
@@ -3,16 +3,16 @@
 Priority: optional
 Maintainer: IME Packaging Team <pkg-ime-devel@lists.alioth.debian.org>
 Uploaders: Aron Xu <aron@debian.org>, YunQiang Su <wzssyqa@gmail.com>
-DM-Upload-Allowed: yes
-Build-Depends: debhelper (>= 8.0.0), cmake, pkg-config, intltool,
-               fcitx-libs-dev (>= 4.2.2), libhangul-dev (>= 0.0.12)
-Standards-Version: 3.9.3
+Build-Depends: debhelper (>= 9), cmake, pkg-config, intltool,
+ fcitx-libs-dev (>= 1:4.2.8), fcitx-bin (>= 1:4.2.8), libhangul-dev (>= 0.0.12)
+Standards-Version: 3.9.6
 Homepage: http://code.google.com/p/fcitx
-Vcs-Git: git://git.debian.org/pkg-ime/fcitx-hangul.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ime/fcitx-hangul.git
+Vcs-Git: git://anonscm.debian.org/pkg-ime/fcitx-hangul.git
+Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-ime/fcitx-hangul.git
 
 Package: fcitx-hangul
 Architecture: any
+Multi-Arch: same
 Depends: ${shlibs:Depends}, ${misc:Depends}, fcitx-modules
 Recommends: fcitx
 Description: Free Chinese Input Toy of X - hangul module

=== debian/watch ===
version=3
http://code.google.com/p/fcitx/downloads/list .*/fcitx-hangul-*\.*(.*)\.tar\.xz

## fcitx-hangul 0.3.1

=== po/CMakeLists.txt ===
file(GLOB PO_FILES RELATIVE "${CMAKE_CURRENT_SOURCE_DIR}" *.po)

foreach(po_file ${PO_FILES})
  string(REPLACE ".po" "" po_lang "${po_file}")
  fcitx_translate_add_po_file("${po_lang}" "${po_file}")
endforeach()
fcitx_translate_set_pot_target(pot fcitx-hangul fcitx-hangul.pot)

=== debian/changelog ===
fcitx-hangul (0.3.1-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix FTBFS with CMake 4. (Closes: #1112894)

 -- Adrian Bunk <bunk@debian.org>  Sat, 11 Oct 2025 22:10:01 +0300

fcitx-hangul (0.3.1-4) unstable; urgency=medium

  * Team upload.
  * debian/control:
    + Bump Standards-Version to 4.7.0.
    + Clarify the short package description. (Closes: #1071760)

 -- Boyuan Yang <byang@debian.org>  Mon, 27 May 2024 10:46:50 -0400

fcitx-hangul (0.3.1-3) unstable; urgency=medium

  * Team upload.
  * Rebuild for Debian Bullseye.
  * debian/control:
    + Bump debhelper compat to v13.
    + Bump Standards-Version to 4.5.0.
    + Use Rules-Requires-Root: no.

 -- Boyuan Yang <byang@debian.org>  Sun, 05 Jul 2020 13:30:13 -0400

fcitx-hangul (0.3.1-2) unstable; urgency=medium

  * Team upload.
  * Rebuild against gcc 8.2.
  * Modernize packaging.
    + Bump Standards-Version to 4.2.1.
    + Bump debhelper compat to 11.
    + Update uploaders' email address and use the @debian.org one.
    + Update Vcs-* fields and use the git repo under Salsa input-method-team
      group.
    + Update maintainer information and use Debian Input Method Team.
      (Closes: #899804).
    + Use "dh_missing --fail-missing". in debian/rules.

 -- Boyuan Yang <byang@debian.org>  Thu, 25 Oct 2018 15:11:36 -0400

fcitx-hangul (0.3.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Apply "wrap-and-sort -abst".
  * d/control:
    + Bump Standards-Version to 4.1.1.
    + Use canonical Vcs URL.
    + Use GitHub as homepage.
    + Fix a typo.
  * d/watch: Point at download.fcitx-im.org.
  * d/rules: Apply full hardening (also drop lintian override).
  * d/copyright: Refresh information.

 -- Boyuan Yang <073plan@gmail.com>  Sat, 30 Sep 2017 08:28:55 +0800

=== debian/control ===
Source: fcitx-hangul
Section: utils
Priority: optional
Maintainer: Debian Input Method Team <debian-input-method@lists.debian.org>
Uploaders:
 Aron Xu <aron@debian.org>,
 YunQiang Su <syq@debian.org>,
Build-Depends:
 cmake,
 debhelper-compat (= 13),
 fcitx-bin (>= 1:4.2.9),
 fcitx-libs-dev (>= 1:4.2.9),
 intltool,
 libhangul-dev (>= 0.0.12),
 pkg-config,
Standards-Version: 4.7.0
Rules-Requires-Root: no
Homepage: https://github.com/fcitx/fcitx-hangul
Vcs-Git: https://salsa.debian.org/input-method-team/fcitx-hangul.git
Vcs-Browser: https://salsa.debian.org/input-method-team/fcitx-hangul

Package: fcitx-hangul
Architecture: any
Multi-Arch: same
Depends:
 fcitx-modules,
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 fcitx,
Description: Korean Hangul Wrapper for Fcitx
 Fcitx is the Free Chinese Input Toy of X, which was initially designed
 for Chinese users, and used XIM protocol. Now it has already evolved
 into a highly modularized, feature rich input method framework for
 Unix-like platforms supporting a considerable amount of frontends,
 backends and modules.
 .
 It is an ideal choice for the vast majority. Many of its features make
 users of Unix-like platforms have a fully modern input experience for
 the first time. It has also greatly lower the threshold for developers,
 making the development of extended functions much easier than ever before.
 .
 This package provides the hangul module, which uses libhangul,
 the Hangul keyboard input library.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1

# see FEATURE AREAS in dpkg-buildflags(1)
export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND =


%:
	dh $@

override_dh_makeshlibs:

=== debian/watch ===
version=4
opts="" \
 https://download.fcitx-im.org/fcitx-hangul/ \
 fcitx-hangul-?(\d[\d.]*)@ARCHIVE_EXT@ debian uupdate
